Subject: Re: [RFC v8 PATCH 00/20] memory-hotplug: hot-remove physical memory

From: Andrew Morton <[email-masked]>
Date: Fri, 31 Aug 2012 13:49:56 -0700

On Tue, 28 Aug 2012 18:00:07 +0800
[email-masked] wrote:

> This patch series aims to support physical memory hot-remove.

Have you had much review and testing feedback yet?

> The patches can free/remove the following things:
> 
>   - acpi_memory_info                          : [RFC PATCH 4/19]
>   - /sys/firmware/memmap/X/{end, start, type} : [RFC PATCH 8/19]
>   - iomem_resource                            : [RFC PATCH 9/19]
>   - mem_section and related sysfs files       : [RFC PATCH 10-11, 13-16/19]
>   - page table of removed memory              : [RFC PATCH 12/19]
>   - node and related sysfs files              : [RFC PATCH 18-19/19]
> 
> If you find lack of function for physical memory hot-remove, please let me
> know.

I doubt if many people have hardware which permits physical memory
removal?  How would you suggest that people with regular hardware can
test these chagnes?

> Known problems:
> 1. memory can't be offlined when CONFIG_MEMCG is selected.

That's quite a problem!  Do you have a description of why this is the
case, and a plan for fixing it?